I wanted to buy some music on Amazon.com. After you’ve purchased your music, you have to install the Amazon MP3 Downloader, which comes in a .deb file for ubuntu. But if you want to install it, you will get something like Error: Dependency is not satisfiable: libboost-filesystem1.34.1. You can install the required dependecies with this great block:

mkdir amazonmp3 && cd amazonmp3 && wget http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-filesystem1.34.1_1.34.1-4ubuntu3_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-regex1.34.1_1.34.1-4ubuntu3_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/main/i/icu/libicu38_3.8-6_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-thread1.34.1_1.34.1-4ubuntu3_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-iostreams1.34.1_1.34.1-4ubuntu3_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-signals1.34.1_1.34.1-4ubuntu3_i386.deb http://de.archive.ubuntu.com/ubuntu/pool/universe/b/boost/libboost-date-time1.34.1_1.34.1-4ubuntu3_i386.deb && sudo dpkg -i *.deb && sudo apt-get install libglademm-2.4-1c2a && rm * && cd .. && rmdir amazonmp3

Furthter information and alternatives to the original Amazon MP3-Downloeader are in ubuntuusers.de.


blog comments powered by Disqus

Published

10 August 2012

Tags